Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.db
Enum OdfDeleteRuleType

    java.lang.Object
      java.lang.Enum<OdfDeleteRuleType>
          org.odftoolkit.odfdom.dom.type.db.OdfDeleteRuleType

All Implemented Interfaces:
  Serializable, Comparable<OdfDeleteRuleType>

    public enum OdfDeleteRuleType

extends Enum<OdfDeleteRuleType>

DOM implementation of OpenDocument attribute db:delete-rule.

Enum Constant Summary
`CASCADE`
`NO_ACTION`
`RESTRICT`
`SET_DEFAULT`
`SET_NULL`

Method Summary
`static OdfDeleteRuleType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfDeleteRuleType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfDeleteRuleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfDeleteRuleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_ACTION

    public static final OdfDeleteRuleType NO_ACTION

### RESTRICT

    public static final OdfDeleteRuleType RESTRICT

### SET_DEFAULT

    public static final OdfDeleteRuleType SET_DEFAULT

### SET_NULL

    public static final OdfDeleteRuleType SET_NULL

### CASCADE

    public static final OdfDeleteRuleType CASCADE

Method Detail

### values

    public static OdfDeleteRuleType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfDeleteRuleType c : OdfDeleteRuleType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfDeleteRuleType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfDeleteRuleType>`
  Returns:
    return the name of OdfDeleteRuleType

### toString

    public static String toString(OdfDeleteRuleType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfDeleteRuleType, see db:delete-rule
  Returns:
    return the name of OdfDeleteRuleType

### enumValueOf

    public static OdfDeleteRuleType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfDeleteRuleType
  Returns:
    return the constant of OdfDeleteRuleType, see db:delete-rule

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.